---
schema_version: "1"
id: 4f5d7fadbf63e826b1bb8bd898d2499e67a6905485ad0914e6733860183c3388
title: POST /contacts/v1/contacts/actions/delete/options
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/marketing-cloud/guides/mc-apis/getDeleteOptions.md
canonical_url: https://developer.salesforce.com/docs/marketing/marketing-cloud/references/mc_rest_contacts/getDeleteOptions.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: 2a31e0615ddbb1c4ba31ddd29912b81a957ba072c999518a01aff6773bf92452
products:
  - Marketing Cloud Engagement APIs and Programmatic Languages
  - Marketing Cloud
---
# POST /contacts/v1/contacts/actions/delete/options

## Overview

Retrieves delete options based on the specified parameters. You must provide a context request body for this resource, but all listed parameters are optional.

### JSON Parameters

<!--complex table-->

| Name                    | Type   |     | Description                                                                                          |
| ----------------------- | ------ | --- | ---------------------------------------------------------------------------------------------------- |
| **ListType**            | string |     | Type of list referenced. Specify either Audience or List.                                            |
| **DeleteOperationType** | string |     | Type of delete operation referenced. Specify either ContactAndAttributes or AttributesOnly.          |
| **ApplicationContext**  | string |     | The application ID or application key value used to retrieve options available for that application. |

### Usage

**Example Request**

```js
Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
POST /contacts/v1/contacts/actions/delete/options
Content-Type: application/json
Authorization: Bearer YOUR_ACCESS_TOKEN

{
  "context": {
    "listType": “audience”,
    "deleteOperationType": "ContactAndAttributes",
    "applicationContext": {
      "applicationID": "e25893f9-08f3-480f-8def-7f8ab0583611"
    }
}
```

**Example Response** The response contains all the registered options from each adapter.

```js
{
    "items": [
        {
            "adapterID": 1010,
            "adapterKey": "ContactDeleteProcessor.ContactBuilder.Roots",
            "applicationID": "e3640f97-1328-48ed-b3d5-03ca7c0d2e12",
            "options": {
                "5523009a-4174-4dd8-8ba6-c6df7c28a39b": {
                    "iD": "5523009a-4174-4dd8-8ba6-c6df7c28a39b",
                    "key": "Contacts",
                    "name": {
                        "value": "Contacts"
                    },
                    "description": {
                        "value": "Contacts options for Contacts Delete"
                    },
                    "optionType": "CheckBox",
                    "optionDataType": "Boolean",
                    "defaultValue": false
                }
            }
        },
        {
            "adapterID": 1013,
            "adapterKey": "ContactDeleteProcessor.MobileConnect",
            "applicationID": "e25893f9-08f3-480f-8def-7f8ab0583611",
            "options": {
                "2f2e5b49-b2d3-4dad-8781-876bc9cd1525": {
                    "iD": "2f2e5b49-b2d3-4dad-8781-876bc9cd1525",
                    "key": "MobileConnectAddresses",
                    "name": {
                        "value": "Addresses"
                    },
                    "description": {
                        "value": "MobileAddress option for Contacts Delete"
                    },
                    "optionType": "CheckBox",
                    "optionDataType": "Boolean",
                    "defaultValue": false
                },
                "b0580712-a1fe-4bc0-9857-6dcfcd110439": {
                    "iD": "b0580712-a1fe-4bc0-9857-6dcfcd110439",
                    "key": "MobileConnectSubscriptions",
                    "name": {
                        "value": "Subscriptions"
                    },
                    "description": {
                        "value": "MobileSubscription option for Contacts Delete"
                    },
                    "optionType": "CheckBox",
                    "optionDataType": "Boolean",
                    "defaultValue": false
                }
            }
        }
    ],
    "requestServiceMessageID": "20c895b0-d7e0-4fb2-8d46-f0cebfe02196",
    "resultMessages": [],
    "serviceMessageID": "2e848b53-8d73-416c-96c3-a278b5f42680"
}
```
